.voka-adapts {
    background: linear-gradient(180deg, #F3F6FA 0%, #DDE9F7 100%);
}

.voka-adapts .voka-adapts-wrapper {
    padding: 140px 100px;
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.voka-adapts .upper-block-desktop {
    border-radius: 25px;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.voka-adapts .upper-block-mobile {
    display: none;
}

.voka-adapts .upper-content-wrapper {
    width: 100%;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding: 184px 0;
}

.voka-adapts .upper-content {
    padding-right: 80px;
    text-align: center;
}

.voka-adapts .subtitle-medium {
    color: var(--n-grey);
    align-self: center;
}

.voka-adapts .h3 {
    color: var(--n-black);
    margin: 4px 0 24px;
}

.voka-adapts .cards-block {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 16px;
}

.voka-adapts .card {
    background-color: var(--n-white);
    border-radius: 20px;
    padding: 32px;
    display: flex;
    flex-direction: column;
    gap: 24px;
    justify-content: start;
    flex: 1 0 0;
    color: var(--n-black);
}

.voka-adapts .icon-wrapper {
    height: 32px;
}

.voka-adapts .mobile-line-break {
    display: none;
}

@media screen and (max-width: 1919px) {
    .voka-adapts .voka-adapts-wrapper {
        padding: 100px 80px;
    }

    .voka-adapts .upper-content-wrapper {
        padding: 127px 0;
    }

    .voka-adapts .voka-adapts-wrapper {
        gap: 40px;
    }

    .voka-adapts .card {
        padding: 24px;
    }
}

@media screen and (max-width: 1439px) {
    .voka-adapts .voka-adapts-wrapper {
        padding: 80px 60px;
    }

    .voka-adapts .upper-content-wrapper {
        padding: 120px 0;
    }

    .voka-adapts .voka-adapts-wrapper {
        gap: 24px;
    }

    .voka-adapts .h3 {
        margin: 4px 0 12px;
    }

    .voka-adapts .card {
        border-radius: 16px;
    }
}

@media screen and (max-width: 1079px) {
    .voka-adapts .voka-adapts-wrapper {
        padding: 0;
        gap: 0;
    }

    .voka-adapts .upper-block-desktop {
        display: none;
    }

    .voka-adapts .upper-block-mobile {
        display: block;
    }

    .voka-adapts .upper-block-mobile img {
        width: 100%;
    }

    .voka-adapts .upper-mobile-content {
        margin: 0 40px 40px 40px;
        justify-self: center;
    }

    .voka-adapts .h3 {
        margin: 4px 0 0 0;
        text-align: center;
    }

    .voka-adapts .subtitle-medium {
        text-align: center;
    }

    .voka-adapts .cards-block {
        flex-wrap: wrap;
        padding: 0 40px 80px 40px;
    }

    .voka-adapts .card {
        min-width: 40%;
    }
}

@media screen and (max-width: 576px) {
    .voka-adapts .upper-mobile-content {
        margin: 0 16px;
    }

    .voka-adapts .cards-block {
        padding: 0 16px 60px 16px;
    }

    .voka-adapts .card {
        min-width: 100%;
        padding: 16px;
        flex-direction: row;
        gap: 20px;
        align-items: start;
        border-radius: 12px;
    }

    .voka-adapts .h3 {
        text-align: center;
        padding: 10px 0 32px;
    }

    .voka-adapts .mobile-line-break {
        display: block;
    }
}